# Uses of Interface
org.apache.velocity.runtime.parser.CharStream

Packages that use CharStream
Package
Description
org.apache.velocity.runtime.parser

## Uses of CharStream in org.apache.velocity.runtime.parser

Classes in org.apache.velocity.runtime.parser that implement CharStream
Modifier and Type
Class
Description
`final class`
`VelocityCharStream`
An implementation of interface CharStream, where the stream is assumed to contain only ASCII characters (without unicode processing).
Fields in org.apache.velocity.runtime.parser declared as CharStream
Modifier and Type
Field
Description
`protected CharStream`
StandardParserTokenManager.`input_stream`
Methods in org.apache.velocity.runtime.parser with parameters of type CharStream
Modifier and Type
Method
Description
`void`
Parser.`ReInit(CharStream stream)`
`void`
StandardParser.`ReInit(CharStream stream)`
Reinitialise.
`void`
StandardParserTokenManager.`ReInit(StandardParser parserArg, CharStream stream)`
Reinitialise parser.
`void`
StandardParserTokenManager.`ReInit(StandardParser parserArg, CharStream stream, int lexState)`
Reinitialise parser.
Constructors in org.apache.velocity.runtime.parser with parameters of type CharStream
Modifier
Constructor
Description
``
`StandardParser(CharStream stream)`
Constructor with user supplied CharStream.
``
`StandardParserTokenManager(StandardParser parserArg, CharStream stream)`
Constructor with parser.
``
`StandardParserTokenManager(StandardParser parserArg, CharStream stream, int lexState)`
Constructor with parser.